# eric7.Plugins.VcsPlugins.vcsGit.GitDiffHighlighter

Module implementing a syntax highlighter for diff outputs.

### Global Attributes

None

### Classes

GitDiffHighlighter | Class implementing a diff highlighter for Git.

### Functions

None

## GitDiffHighlighter

Class implementing a diff highlighter for Git.

### Derived from

EricGenericDiffHighlighter

### Class Attributes

None

### Class Methods

None

### Methods

GitDiffHighlighter | Constructor
generateRules | Public method to generate the rule set.

### Static Methods

None

#### GitDiffHighlighter (Constructor)

GitDiffHighlighter(doc, whitespace=True)

Constructor

doc
  reference to the text document (QTextDocument)
whitespace
  flag indicating to highlight whitespace at the end of a line (boolean)

#### GitDiffHighlighter.generateRules

generateRules()

Public method to generate the rule set.

Up